Subject: Re: [PATCH] mwifiex: Add support for NL80211_ATTR_MAX_AP_ASSOC_STA

From: Kalle Valo <[email-masked]>
Date: Fri, 29 May 2020 20:28:52 +0300

Pali Rohár <[email-masked]> writes:

> On Thursday 21 May 2020 14:35:59 Pali Rohár wrote:
>> SD8997 firmware sends TLV_TYPE_MAX_CONN with struct hw_spec_max_conn to
>> inform kernel about maximum number of p2p connections and stations in AP
>> mode.
>> 
>> During initialization of SD8997 wifi chip kernel prints warning:
>> 
>>   mwifiex_sdio mmc0:0001:1: Unknown GET_HW_SPEC TLV type: 0x217
>> 
>> This patch adds support for parsing TLV_TYPE_MAX_CONN (0x217) and sets
>> appropriate cfg80211 member 'max_ap_assoc_sta' from retrieved structure.
>> 
>> It allows userspace to retrieve NL80211_ATTR_MAX_AP_ASSOC_STA attribute.
>> 
>> Signed-off-by: Pali Rohár <[email-masked]>
>
> Hello Kalle and Ganapathi, could you please review this patch?

To reduce email please first check the status from patchwork:

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches#checking_state_of_patches_from_patchwork

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches